%define upstream_name    Constant-Generate
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Common tasks for symbolic constants
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Constant/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.200.0
BuildRequires: perl(Test::More)
BuildRequires: perl(constant) >= 1.170.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.170.0-3.mga6
+ Revision: 1024324
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.170.0-2.mga6
+ Revision: 968535
- Mageia 6 Mass Rebuild

* Wed Jul 08 2015 sander85 <sander85> 0.170.0-1.mga6
+ Revision: 852943
- update to 0.17

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-5.mga5
+ Revision: 748267
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-4.mga5
+ Revision: 684006
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.160.0-3.mga4
+ Revision: 510293
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 364729
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 254685
- update to 0.16

* Tue Dec 20 2011 kharec <kharec> 0.120.0-1.mga2
+ Revision: 184972
- update to 0.12

* Sun Dec 18 2011 kharec <kharec> 0.110.0-1.mga2
+ Revision: 183761
- update to 0.11

* Fri Dec 16 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 182479
- imported package perl-Constant-Generate


* Fri Dec 16 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
